package com.gic.haoban.manage.service.entity.chat;

import java.util.Date;
import java.io.Serializable;

/**
 * 社群邀请有礼入群规则表(TabHaobanGroupChatActivityJoin)实体类
 *
 * @author makejava
 * @since 2024-09-27 16:09:56
 */
public class TabGroupChatActivityJoin implements Serializable {
    private static final long serialVersionUID = -95747409578903881L;
    /**
     * 社群活动入群规则id
     */
    private Long chatActivityJoinId;
    /**
     * 内容活动id
     */
    private Long chatActivityId;
    /**
     * 会员类型（0：会员筛选，1：会员分组）
     */
    private Integer memberType;
    /**
     * 人群
     */
    private String filterJson;
    /**
     * 人群回显
     */
    private String filterJsonView;
    /**
     * 序号 从小到大
     */
    private Integer index;

    /**
     * 群活码id
     */
    private Long chatHmId;

    /**
     * 企业ID
     */
    private String enterpriseId;
    /**
     * 微信企业ID
     */
    private String wxEnterpriseId;

    private Date createTime;

    private Date updateTime;

    private Integer deleteFlag;


    public Long getChatActivityJoinId() {
        return chatActivityJoinId;
    }

    public void setChatActivityJoinId(Long chatActivityJoinId) {
        this.chatActivityJoinId = chatActivityJoinId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public Integer getMemberType() {
        return memberType;
    }

    public void setMemberType(Integer memberType) {
        this.memberType = memberType;
    }

    public String getFilterJson() {
        return filterJson;
    }

    public void setFilterJson(String filterJson) {
        this.filterJson = filterJson;
    }

    public String getFilterJsonView() {
        return filterJsonView;
    }

    public void setFilterJsonView(String filterJsonView) {
        this.filterJsonView = filterJsonView;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public Long getChatHmId() {
        return chatHmId;
    }

    public void setChatHmId(Long chatHmId) {
        this.chatHmId = chatHmId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

}

